package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.core.text.Convert;
import com.sooka.common.enums.DataSourceType;
import com.sooka.framework.util.ShiroUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TgjjGrdkyqxxMapper;
import com.sooka.system.domain.TgjjGrdkyqxx;
import com.sooka.system.service.ITgjjGrdkyqxxService;

/**
 * 个人贷款逾期信息Service业务层处理
 *
 * @author lei
 * @date 2021-11-16
 */
@Service

public class TgjjGrdkyqxxServiceImpl extends Guiji_Base_Service implements ITgjjGrdkyqxxService
{
    @Autowired
    private TgjjGrdkyqxxMapper tgjjGrdkyqxxMapper;

    /**
     * 查询个人贷款逾期信息
     *
     * @param ID 个人贷款逾期信息ID
     * @return 个人贷款逾期信息
     */
    @Override
    public TgjjGrdkyqxx selectTgjjGrdkyqxxById(Long ID)
    {
        return tgjjGrdkyqxxMapper.selectTgjjGrdkyqxxById(ID);
    }

    /**
     * 查询个人贷款逾期信息列表
     *
     * @param tgjjGrdkyqxx 个人贷款逾期信息
     * @return 个人贷款逾期信息
     */
    @Override
    public List<TgjjGrdkyqxx> selectTgjjGrdkyqxxList(TgjjGrdkyqxx tgjjGrdkyqxx)
    {
        List ls = tgjjGrdkyqxxMapper.selectTgjjGrdkyqxxList(tgjjGrdkyqxx);
        tgjjGrdkyqxx.setInterfaceinfoId("4531b271-188d-4114-90da-1c3654686456");
        tgjjGrdkyqxx.setInterfaceinfoName("共享-市公积金-个人贷款逾期信息");
        tgjjGrdkyqxx.setInterfacetype("platform_interfacetype_1");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        tgjjGrdkyqxx.setDeptId(deptId);
        tgjjGrdkyqxx.setDeptName(deptName);
        add_log(tgjjGrdkyqxx);
        return ls;
    }

    /**
     * 新增个人贷款逾期信息
     *
     * @param tgjjGrdkyqxx 个人贷款逾期信息
     * @return 结果
     */
    @Override
    public int insertTgjjGrdkyqxx(TgjjGrdkyqxx tgjjGrdkyqxx)
    {
        return tgjjGrdkyqxxMapper.insertTgjjGrdkyqxx(tgjjGrdkyqxx);
    }

    /**
     * 修改个人贷款逾期信息
     *
     * @param tgjjGrdkyqxx 个人贷款逾期信息
     * @return 结果
     */
    @Override
    public int updateTgjjGrdkyqxx(TgjjGrdkyqxx tgjjGrdkyqxx)
    {
        return tgjjGrdkyqxxMapper.updateTgjjGrdkyqxx(tgjjGrdkyqxx);
    }

    /**
     * 删除个人贷款逾期信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTgjjGrdkyqxxByIds(String ids)
    {
        return tgjjGrdkyqxxMapper.deleteTgjjGrdkyqxxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除个人贷款逾期信息信息
     *
     * @param ID 个人贷款逾期信息ID
     * @return 结果
     */
    @Override
    public int deleteTgjjGrdkyqxxById(Long ID)
    {
        return tgjjGrdkyqxxMapper.deleteTgjjGrdkyqxxById(ID);
    }
}
